OpenStack Telemetry (Ceilometer)

Unrelated gettext error when SQL db is unavailable

Reported by Julien Danjou on 2012-12-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ceilometer
Medium
Julien Danjou

Bug Description

2012-12-18 15:09:52 8913 INFO ceilometer.storage.impl_sqlalchemy [-] connecting to mysql://ceilometer:changemenot@127.0.0.1/ceilometer
2012-12-18 15:09:52 8913 CRITICAL ceilometer [-] global name '_' is not defined
2012-12-18 15:09:52 8913 TRACE ceilometer Traceback (most recent call last):
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/bin/ceilometer-collector", line 37, in <module>
2012-12-18 15:09:52 8913 TRACE ceilometer launcher.wait()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/openstack/common/service.py", line 126, in wait
2012-12-18 15:09:52 8913 TRACE ceilometer super(ServiceLauncher, self).wait()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/openstack/common/service.py", line 98, in wait
2012-12-18 15:09:52 8913 TRACE ceilometer service.wait()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/eventlet/greenthread.py", line 166, in wait
2012-12-18 15:09:52 8913 TRACE ceilometer return self._exit_event.wait()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/eventlet/event.py", line 116, in wait
2012-12-18 15:09:52 8913 TRACE ceilometer return hubs.get_hub().switch()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/eventlet/hubs/hub.py", line 177, in switch
2012-12-18 15:09:52 8913 TRACE ceilometer return self.greenlet.switch()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/eventlet/greenthread.py", line 192, in main
2012-12-18 15:09:52 8913 TRACE ceilometer result = function(*args, **kwargs)
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/openstack/common/service.py", line 68, in run_service
2012-12-18 15:09:52 8913 TRACE ceilometer service.start()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/collector/service.py", line 55, in start
2012-12-18 15:09:52 8913 TRACE ceilometer self.storage_conn = self.storage_engine.get_connection(cfg.CONF)
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/storage/impl_sqlalchemy.py", line 86, in get_connection
2012-12-18 15:09:52 8913 TRACE ceilometer return Connection(conf)
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/storage/impl_sqlalchemy.py", line 125, in __init__
2012-12-18 15:09:52 8913 TRACE ceilometer self.session = self._get_connection(conf)
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/storage/impl_sqlalchemy.py", line 131, in _get_connection
2012-12-18 15:09:52 8913 TRACE ceilometer return sqlalchemy_session.get_session()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/storage/sqlalchemy/session.py", line 69, in get_session
2012-12-18 15:09:52 8913 TRACE ceilometer engine = get_engine()
2012-12-18 15:09:52 8913 TRACE ceilometer File "/usr/lib/python2.7/dist-packages/ceilometer/storage/sqlalchemy/session.py", line 172, in get_engine
2012-12-18 15:09:52 8913 TRACE ceilometer msg = _('SQL connection failed. %s attempts left.')
2012-12-18 15:09:52 8913 TRACE ceilometer NameError: global name '_' is not defined
2012-12-18 15:09:52 8913 TRACE ceilometer

Julien Danjou (jdanjou) on 2012-12-18
Changed in ceilometer:
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Julien Danjou (jdanjou)

Fix proposed to branch: master
Review: https://review.openstack.org/18314

Changed in ceilometer:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/18314
Committed: http://github.com/openstack/ceilometer/commit/20ebb50a2d6a9cdb965004e4a1d2b358ee21c3d4
Submitter: Jenkins
Branch: master

commit 20ebb50a2d6a9cdb965004e4a1d2b358ee21c3d4
Author: Julien Danjou <email address hidden>
Date: Tue Dec 18 15:15:27 2012 +0100

    Remove useless gettext call in sql engine

    This fixes bug #1091675

    Change-Id: I0bdb07ecbe43e6f6c04626a73cb16bdf580a6a35
    Signed-off-by: Julien Danjou <email address hidden>

Changed in ceilometer:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-02-21
Changed in ceilometer:
milestone: none → grizzly-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in ceilometer:
milestone: grizzly-3 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers